%define pyver  %(%{__python} -c 'import sys ; print sys.version[:3]')

# set OEL distribution
%define oel4  %(test "%{?dist}" = ".el4"  && echo 1 || echo 0)
%define oel5  %(test "%{?dist}" = ".el5"  && echo 1 || echo 0)

Name:           open-ovf
Version:        0.1
Release: 	3.0.7%{dist}
Epoch:		0
Summary:        OVF implementation
Group:          System Environment/Libraries
License:        EPL
URL:            http://open-ovf.sourceforge.net
Source:         %{name}-%{version}.tar.gz
Patch0:		oracle-vm.patch
%if %oel4
Patch1:		build-el4.patch
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-%(%{__id_u} -n)
BuildArch:      noarch

%if %oel4
BuildRequires:  python-devel >= 2.3, libxml2-python
Requires:       python >= 2.3, libxml2-python
%endif
%if %oel5
BuildRequires:  python-devel >= 2.4, libxml2-python
Requires:       python >= 2.4, libxml2-python, libvirt-python
%endif

%description
open-OVF project is an open source library and tools designed to promote adoption 
of the OVF (Open Virtual Machine Format) specification as an industry standard.
It provides complete support for creating, using and maintaining OVF appliances. 

%define debug_package %{nil}

%prep
%setup -q
%patch0 -p1
%if %oel4
%patch1 -p1
%endif

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --root=$RPM_BUILD_ROOT \
  --record=INSTALLED_FILES
sed 's|^\(.*\.pyo\)$|%ghost \1|' < INSTALLED_FILES > %{name}-%{version}.files
find $RPM_BUILD_ROOT%{_libdir}/python%{pyver}/site-packages/* -type d \
  | sed "s|^$RPM_BUILD_ROOT|%dir |" >> %{name}-%{version}.files

# schema docs
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/%{name}/
cp -pr schemas ${RPM_BUILD_ROOT}%{_datadir}/%{name}/schemas
find ${RPM_BUILD_ROOT}%{_datadir}/%{name}/schemas/* \
  | sed "s|^$RPM_BUILD_ROOT||" >> %{name}-%{version}.files
find ${RPM_BUILD_ROOT}%{_datadir}/%{name}/schemas/ -type d \
  | sed "s|^$RPM_BUILD_ROOT|%dir |" >> %{name}-%{version}.files

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}.files
%defattr(-,root,root,-)
%doc LICENSE CONTRIBUTING README

%changelog
* Thu Jun 22 2009 srinivas.maturi@oracle.com - 0.1-3.0.7
- Recreated tarball and oracle-vm.patch based on mainline source
  dated 06-09-2009, as patch to address deployment configuration and 
  lsovf rewrite are accepted
- Update oracle-vm.patch for rmovf and chovf, and fix in mkovf for
  creating the DeploymentOptionSection and StartupSection

* Thu May 28 2009 srinivas.maturi@oracle.com - 0.1-3.0.7
- Update oracle-vm.patch to address deployment configuration as defined
  in DeploymentOptionsSection

* Fri May 15 2009 srinivas.maturi@oracle.com - 0.1-3.0.7
- Update oracle-vm.patch to remove extra disk images in the case of single 
  file reference being shared by more than one disk, and fix pack/unpack options

* Mon Apr 28 2009 srinivas.maturi@oracle.com - 0.1-3.0.7
- Recreated tarball and oracle-vm.patch based on mainline source
  dated 04-28-2009, as startup and multivm patches are accepted

* Mon Apr 20 2009 srinivas.maturi@oracle.com - 0.1-3.0.7
- Recreated oracle-vm.patch for Multi VM support with same base OS disk image 
  for all VMs
- Set manifest file permissions to 0600 after creating
- Guest Environment file generated will be <ovfid>.xml in multi VM case and
  ovf-env.xml in single VM case
- Minor fixes in ova script and ovf/OvfLibvirt.py

* Mon Apr 06 2009 srinivas.maturi@oracle.com - 0.1-3.0.7
- recreated tarball and oracle-vm.patch based on mainline source 
  dated 04-06-2009, as the patch provided to validate the 
  Environment file is accepted

* Thu Feb 26 2009 srinivas.maturi@oracle.com - 0.1-3.0.7
- Remove the patch for common.xsd added in previous release from 
  oracle-vm.patch as backported a fix to libxml2 that addresses the
  issue with validation
- Support StartupSection for Oracle VM Server
- Add patch build-el4.patch to build for el4, to be able to run
  'ova --templateconfig' in el4 templates
- Remove diable-libvirt.patch

* Tue Feb 17 2009 srinivas.maturi@oracle.com - 0.1-3.0.6
- Package schema docs
- Comment out the definition of qualifierSArray in common.xsd and
  update oracle-vm.patch to address validation of OVF and ENV files

* Tue Feb 12 2009 srinivas.maturi@oracle.com - 0.1-3.0.5
- recreated tarball and oracle-vm.patch based on mainline source 
  dated 01-05-2009
- Add support for compressed formats (gzip/bzip2) for disk image files
- Update lsovf based on latest OVF spec and add --vsinfo option
- Add diable-libvirt.patch
- Update BuildRequires and Requires in specfile

* Tue Dec 23 2008 srinivas.maturi@oracle.com - 0.1-3.0.4
- Renamed oracle-vm-Dec04-2008.patch as oracle-vm.patch
- recreated oracle-vm.patch based on mainline source dated 12-16-2008

* Fri Dec 05 2008 srinivas.maturi@oracle.com - 0.1-3.0.3
- recreated oracle-vm-Dec04-2008.patch

* Fri Nov 21 2008 srinivas.maturi@oracle.com - 0.1-3.0.2
- recreated oracle-vm-Nov21-2008.patch

* Mon Oct 27 2008 srinivas.maturi@oracle.com - 0.1-3.0.1
- recreated oracle-vm-oct26-2008.patch
  Added another option (--setenv) to ova

* Tue Oct 24 2008 srinivas.maturi@oracle.com - 0.1-3
- updated tarball from latest git repository.
- changed files in oracle-vm-oct24-2008.patch
  py/ovf/env/__init__.py
  py/ovf/env/EnvironmentSection.py
  py/ovf/OvfSet.py
  py/ovf/OvfPlatform.py
  py/ovf/__init__.py
  py/ovf/OvfLibvirt.py
  py/ovf/Ovf.py
  py/scripts/ova
  py/scripts/lsovf
  setup.py
 
* Tue Oct 21 2008 srinivas.maturi@oracle.com - 0.1-2
- changed files in oracle-vm-oct12-2008.patch
  setup.py
  py/ovf/env/__init__.py
  py/ovf/env/EnvironmentSection.py
  py/ovf/OvfSet.py
  py/ovf/OvfLibvirt.py
  py/scripts/ova 

* Thu Oct 16 2008 Tianyue Lan <tianyue.lan@oracle.com> - 0.1-1
- initial build
